Browse Source

Define requirements

tags/v1.3^2
Jonathan Golder 2 years ago
parent
commit
871cbccc72
2 changed files with 23 additions and 4 deletions
  1. +15
    -4
      README.md
  2. +8
    -0
      requirements.txt

+ 15
- 4
README.md View File

@@ -6,10 +6,21 @@ of [User:JogoBot](https://de.wikipedia.org/wiki/Benutzer:JogoBot) on the
On [JogoBots wikipedia user page](https://de.wikipedia.org/wiki/Benutzer:JogoBot/Charts) a more detailed description can be found.

## Requirements
* Python 3.4+ (at least it is only tested with those)
* pywikibot-core 2.0
* [jogobot-core module](https://github.com/golderweb/wiki-jogobot-core) used as submodule
* [Isoweek module](https://pypi.python.org/pypi/isoweek)
* python3.4+


* pywikibot-core


The libraries above need to be installed and configured manualy considering [documentation of pywikibot-core](https://www.mediawiki.org/wiki/Manual:Pywikibot).

* mwparserfromhell
* isoweek
* [jogobot-core module](https://git.golderweb.de/wiki/jogobot)

Those can be installed using pip and the _requirements.txt_ file provided with this packet

pip install -r requirements.txt

## Versions
* v1.2


+ 8
- 0
requirements.txt View File

@@ -0,0 +1,8 @@
# mwparserfromhell
mwparserfromhell

# isoweek
isoweek

# jogobot
git+https://git.golderweb.de/wiki/jogobot.git#egg=jogobot

Loading…
Cancel
Save